Update Location's Data
1 min
PUT
https://api.upstartcommerce.com/v1/location/{locationId}
locationIdstringUnique identifier to reference a specific location resource.
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobjectThe updated values for the location.
200<p>Success-location updated.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
curl --request PUT \
--url https://api.upstartcommerce.com/v1/location/{locationId} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"id": "",
"name": "",
"locationType": "",
"public": true,
"operational": true,
"address": {
"city": "",
"country": "",
"postalCode": "",
"stateOrRegion": "",
"street1": ""
},
"coordinates": {
"latitude": "",
"longitude": ""
},
"contactInformation": "",
"operationHoursExceptions": [
{
"exceptionType": "",
"isOpen": "",
"name": "Memorial Day"
}
],
"pickupHoursExceptions": [
{
"exceptionType": "",
"isOpen": "",
"name": "Memorial Day"
}
],
"content": [
{
"content": "",
"identifier": ""
}
],
"pricingZone": "NTL",
"hoursOfOperation": [
{
"day": "",
"isOpen": false
}
],
"pickupHours": [
{
"day": "",
"isOpen": false
}
]
}'